Get a prompt version
Get a specific prompt version by its ID.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique prompt version identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
A prompt version object
A prompt version represents a specific snapshot of a prompt's configuration. Each version captures the messages, model settings, and parameters at a point in time. Versions are immutable once created and are identified by a commit hash.
The prompt version ID
The prompt ID this version belongs to
The commit hash of this version
The commit message describing the changes in this version
The messages that make up the prompt template
The format for input variables in the prompt messages. Defaults to f_string if not provided.
f_string: Single curly braces ({variable_name})mustache: Double curly braces ({{variable_name}})none: Deprecated. Treated asf_string. Will be removed in a future version.
f_string, mustache, none The LLM provider to use
open_ai, azure_open_ai, aws_bedrock, vertex_ai, anthropic, custom The model to use for the call
When the version was created
The user ID of the user who created this version
LLM invocation parameters for this version. When absent, no invocation parameters were set on this version.
Provider-specific parameters for this version. When absent, no provider-specific parameters were set on this version.
Label names currently pointing to this version (e.g., "production", "staging"). Labels are case-sensitive.